Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.model
Class PerspectiveLabelProvider

    java.lang.Object
      org.eclipse.jface.viewers.LabelProvider
          org.eclipse.ui.model.PerspectiveLabelProvider

All Implemented Interfaces:
  IBaseLabelProvider, ILabelProvider, ITableLabelProvider

public final class PerspectiveLabelProvider
extends LabelProvider
implements ITableLabelProvider

A table label provider implementation for showing workbench perspectives (objects of type `IPerspectiveDescriptor`) in table- and tree-structured viewers.

Clients may instantiate this class. It is not intended to be subclassed.

Since:
  3.0

Constructor Summary
`PerspectiveLabelProvider()` Creates a new label provider for perspectives.
`PerspectiveLabelProvider(boolean markDefault)` Creates a new label provider for perspectives.

Method Summary
`void` | `dispose()` Disposes of this label provider.
`Image` | `getColumnImage(Object element, int columnIndex)` Returns the label image for the given column of the given element.
`String` | `getColumnText(Object element, int columnIndex)` Returns the label text for the given column of the given element.
`Image` | `getImage(Object element)` The `LabelProvider` implementation of this `ILabelProvider` method returns `null`.
`String` | `getText(Object element)` The `LabelProvider` implementation of this `ILabelProvider` method returns the element's `toString` string.

Methods inherited from class org.eclipse.jface.viewers.LabelProvider
`addListener, fireLabelProviderChanged, isLabelProperty, removeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.viewers.IBaseLabelProvider
`addListener, isLabelProperty, removeListener`

Constructor Detail

### PerspectiveLabelProvider

    public PerspectiveLabelProvider()

  Creates a new label provider for perspectives. The default perspective is visually marked.

### PerspectiveLabelProvider

    public PerspectiveLabelProvider(boolean markDefault)

  Creates a new label provider for perspectives.

Parameters:
  `markDefault` - `true` if the default perspective is to be visually marked, and `false` if the default perspective is not treated as anything special

Method Detail

### getImage

    public final Image getImage(Object element)

  Description copied from class: `LabelProvider`
  The `LabelProvider` implementation of this `ILabelProvider` method returns `null`. Subclasses may override.

  Specified by:
    `getImage` in interface `ILabelProvider`
  Overrides:
    `getImage` in class `LabelProvider`

### dispose

    public final void dispose()

  Description copied from interface: `IBaseLabelProvider`
  Disposes of this label provider. When a label provider is attached to a viewer, the viewer will automatically call this method when the viewer is being closed. When label providers are used outside of the context of a viewer, it is the client's responsibility to ensure that this method is called when the provider is no longer needed.

  Specified by:
    `dispose` in interface `IBaseLabelProvider`
  Overrides:
    `dispose` in class `LabelProvider`

### getText

    public final String getText(Object element)

  Description copied from class: `LabelProvider`
  The `LabelProvider` implementation of this `ILabelProvider` method returns the element's `toString` string. Subclasses may override.

  Specified by:
    `getText` in interface `ILabelProvider`
  Overrides:
    `getText` in class `LabelProvider`

### getColumnImage

    public final Image getColumnImage(Object element,
                                      int columnIndex)

  Description copied from interface: `ITableLabelProvider`
  Returns the label image for the given column of the given element.

  Specified by:
    `getColumnImage` in interface `ITableLabelProvider`
  Parameters:
    `element` - the object representing the entire row, or `null` indicating that no input object is set in the viewer
    `columnIndex` - the zero-based index of the column in which the label appears
  See Also:
    `ITableLabelProvider.getColumnImage(java.lang.Object, int)`

### getColumnText

    public final String getColumnText(Object element,
                                      int columnIndex)

  Description copied from interface: `ITableLabelProvider`
  Returns the label text for the given column of the given element.

  Specified by:
    `getColumnText` in interface `ITableLabelProvider`
  Parameters:
    `element` - the object representing the entire row, or `null` indicating that no input object is set in the viewer
    `columnIndex` - the zero-based index of the column in which the label appears
  See Also:
    `ITableLabelProvider.getColumnText(java.lang.Object, int)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.